"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk = require("chalk");
const debug = require('debug')('graphcool');
function projectInfoToContents(projectInfo) {
    return `# project: ${projectInfo.alias || projectInfo.projectId}\n# version: ${projectInfo.version}\n\n${projectInfo.schema}`;
}
exports.projectInfoToContents = projectInfoToContents;
function makePartsEnclodesByCharacterBold(str, character) {
    const components = str.split(character);
    for (let i = 0; i < components.length; i++) {
        if (i % 2 === 1) {
            components[i] = chalk.bold(components[i]);
        }
    }
    return components.join(chalk.bold(`\``));
}
exports.makePartsEnclodesByCharacterBold = makePartsEnclodesByCharacterBold;
//# sourceMappingURL=utils.js.map