"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const mockData_1 = require("../../tests/mock_data/mockData");
class TestAuthServer {
    requestAuthToken() {
        return new Promise((resolve, reject) => resolve(mockData_1.testToken));
    }
    validateAuthToken(token) {
        return __awaiter(this, void 0, void 0, function* () {
            return Promise.resolve('johnny@graph.cool');
        });
    }
}
exports.default = TestAuthServer;
//# sourceMappingURL=TestAuthServer.js.map